Skip to main content
GET
/
payments
/
subscriptions
Get All Subscriptions
curl --request GET \
  --url https://api.rootfi.dev/v3/payments/subscriptions \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/payments/subscriptions"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/payments/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 157,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-22T05:07:31.465Z",
      "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
      "rootfi_company_id": 1089,
      "platform_id": "123456_1",
      "platform_unique_id": "123456",
      "created_at": "2024-01-22T05:07:31.465Z",
      "currency_id": "1234567890",
      "description": "This is a description",
      "status": "ACTIVE",
      "contact_id": "1234567890",
      "expire_by": "2024-01-22T05:07:31.465Z",
      "current_start": "2024-01-22T05:07:31.465Z",
      "current_end": "2024-01-22T05:07:31.465Z",
      "payment_method": "CARD"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
The Tax Rates Data Model is designed to streamline the management and retrieval of subscriptions information across various payment platforms.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of subscriptions you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the subscriptions endpoint.

data
paymentsSubscriptionObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects